> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kaizenautomation.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete login authentication

> Completes login authentication using browser context login info external ID by saving browser cookies and updating authentication status



## OpenAPI

````yaml post /authentication/completeLogin
openapi: 3.1.0
info:
  title: Kaizen API
  version: 1.0.0
  description: API for the Kaizen Automation Platform
servers:
  - url: https://api.kaizenautomation.com
    description: Production server
security: []
paths:
  /authentication/completeLogin:
    post:
      tags:
        - Authentication
      summary: Complete login authentication
      description: >-
        Completes login authentication using browser context login info external
        ID by saving browser cookies and updating authentication status
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                contextAuthenticationId:
                  type: string
                  description: External ID of the context authentication to complete
              required:
                - contextAuthenticationId
      responses:
        '200':
          description: Login authentication completion result
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Whether the login completion was successful
                  message:
                    type: string
                    description: Success or error message
                required:
                  - success
                  - message
        '400':
          description: Invalid input or execution not found
        '401':
          description: Unauthorized
        '500':
          description: Server error

````